#!/bin/bash
set -e

dim=2
for nodes in {1..1}; do
    for gpus in {1..1}; do
        for batch_size in {64,128}; do
            for iteration in {1..1}; do

                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, iteration ${iteration}

                # For single node
                if [ $nodes -eq 1 ]; then
                    bash scripts/run_benchmark_single_node.sh ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}
                    sleep 1 
                else

                    # For multi node
                    gpus=8
                    bash scripts/run_benchmark_multi_node.sh ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}
                    sleep 1 
                fi
            done
        done
    done
done

dim=3
for nodes in {1..1}; do
    for gpus in {1..1}; do
        for batch_size in {1,2,4}; do
            for iteration in {1..1}; do

                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, iteration ${iteration}

                # For single node
                if [ $nodes -eq 1 ]; then
                    bash scripts/run_benchmark_single_node.sh ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}
                    sleep 1 
                else

                    # For multi node
                    gpus=8
                    bash scripts/run_benchmark_multi_node.sh ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}
                    sleep 1 
                fi
            done
        done
    done
done
